#include "Macro.h"
#include "CObjectLabelSelect.h"
#include "container.h"

extern mmachine mm;

#define FONT 0


CObjectLabelSelect::CObjectLabelSelect(container * cont,
										Layer *layer,
										int x,int y,int w,int h,
										int flags,int contflags,
										int transp,
										int p_font,int textcolor,int textcoefftransp,int shadowflag,int shadowcolor,
										char * texte,const char *forbiddenchar,
										int select_color,int coeff_transp
										)
								:CObjectEditText(cont,
												layer,
												x,y,w,h,
												flags,contflags,
												transp,
												p_font,
												textcolor,
												textcoefftransp,
												shadowflag,
												shadowcolor,
												texte,
												forbiddenchar,
												select_color,coeff_transp
												)
{
}

CObjectLabelSelect::~CObjectLabelSelect(){}

// cut
int CObjectLabelSelect::KeyCut(int p_tab){ return 0;}

// paste
int CObjectLabelSelect::KeyPaste(int p_tab){ return 0;}

//insert
int CObjectLabelSelect::KeyInsert(int p_tab){ return 0;}

//delete
int CObjectLabelSelect::KeySuppress(int p_tab){ return 0;}

//suppres
int CObjectLabelSelect::KeyBackspace(int p_tab){ return 0;}

//all other
int CObjectLabelSelect::KeyChar(UINT vk,int p_tab){ return 0;}




// execution d'un reflexe suite au traitementd'une touche
void CObjectLabelSelect::EndKey(int type)
{
//***********************************
#if DEBUG_LIB2D
MMechostr (0, "\nCObjectLabelSelect::EndKey");
#endif
//***********************************

	Redraw();
	RepaintLinkedScroll();
}

